Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.border
Class IconBorder

    java.lang.Object
      org.jdesktop.swingx.border.IconBorder

All Implemented Interfaces:
  java.io.Serializable, javax.swing.border.Border

    public class IconBorder

extends java.lang.Object
implements javax.swing.border.Border, java.io.Serializable

`IconBorder` creates a border that places an `Icon` in the border on the horizontal axis. The border does not add any additional insets other than the inset required to produce the space for the icon. If additional insets are required, users should create a `compund border`.

This border is useful when attempting to add `Icon`s to pre-existing components without requiring specialty painting.

Version:
  1.1
Author:
  Amy Fowler, Karl Schaefer
See Also:
  Serialized Form

Field Summary
`static javax.swing.Icon` | `EMPTY_ICON` An empty icon.

Constructor Summary
`IconBorder()` Creates an `IconBorder` with an empty icon in a trailing position with a padding of 4.
`IconBorder(javax.swing.Icon validIcon)` Creates an `IconBorder` with the specified icon in a trailing position with a padding of 4.
`IconBorder(javax.swing.Icon validIcon, int iconPosition)` Creates an `IconBorder` with the specified constraints and a padding of 4.
`IconBorder(javax.swing.Icon validIcon, int iconPosition, int padding)` Creates an `IconBorder` with the specified constraints.

Method Summary
`java.awt.Insets` | `getBorderInsets(java.awt.Component c)`
`int` | `getIconPosition()` Returns the position to place the icon (relative to the component contents).
`int` | `getPadding()` Gets the padding surrounding the icon.
`boolean` | `isBorderOpaque()` This border is not opaque.
`void` | `paintBorder(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)`
`void` | `setIcon(javax.swing.Icon validIcon)` Sets the icon for this border.
`void` | `setIconPosition(int iconPosition)` Sets the position to place the icon (relative to the component contents).
`void` | `setPadding(int padding)` Sets the padding around the icon.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_ICON

    public static final javax.swing.Icon EMPTY_ICON

  An empty icon.

Constructor Detail

### IconBorder

    public IconBorder()

  Creates an `IconBorder` with an empty icon in a trailing position with a padding of 4.

  See Also:
    `EMPTY_ICON`

### IconBorder

    public IconBorder(javax.swing.Icon validIcon)

  Creates an `IconBorder` with the specified icon in a trailing position with a padding of 4.

  Parameters:
    `validIcon` - the icon to set. This may be `null` to represent an empty icon.
  See Also:
    `EMPTY_ICON`

### IconBorder

    public IconBorder(javax.swing.Icon validIcon,
                      int iconPosition)

  Creates an `IconBorder` with the specified constraints and a padding of 4.

  Parameters:
    `validIcon` - the icon to set. This may be `null` to represent an empty icon.
    `iconPosition` - the position to place the icon relative to the component contents. This must be one of the following `SwingConstants`:
    - `LEADING`
    - `TRAILING`
    - `EAST`
    - `WEST`
  Throws:
    `java.lang.IllegalArgumentException` - if `iconPosition` is not a valid position.
  See Also:
    `EMPTY_ICON`

### IconBorder

    public IconBorder(javax.swing.Icon validIcon,
                      int iconPosition,
                      int padding)

  Creates an `IconBorder` with the specified constraints. If `validIcon` is `null`, `EMPTY_ICON` is used instead. If `padding` is negative, then the border does not use padding.

  Parameters:
    `validIcon` - the icon to set. This may be `null` to represent an empty icon.
    `iconPosition` - the position to place the icon relative to the component contents. This must be one of the following `SwingConstants`:
    - `LEADING`
    - `TRAILING`
    - `EAST`
    - `WEST`
    `padding` - the padding to surround the icon with. All non-positive values set the padding to 0.
  Throws:
    `java.lang.IllegalArgumentException` - if `iconPosition` is not a valid position.
  See Also:
    `EMPTY_ICON`

Method Detail

### getBorderInsets

    public java.awt.Insets getBorderInsets(java.awt.Component c)

  Specified by:
    `getBorderInsets` in interface `javax.swing.border.Border`

### setIcon

    public void setIcon(javax.swing.Icon validIcon)

  Sets the icon for this border.

  Parameters:
    `validIcon` - the icon to set. This may be `null` to represent an empty icon.
  See Also:
    `EMPTY_ICON`

### isBorderOpaque

    public boolean isBorderOpaque()

  This border is not opaque.

  Specified by:
    `isBorderOpaque` in interface `javax.swing.border.Border`
  Returns:
    always returns `false`

### paintBorder

    public void paintBorder(java.awt.Component c,
                            java.awt.Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  Specified by:
    `paintBorder` in interface `javax.swing.border.Border`

### getPadding

    public int getPadding()

  Gets the padding surrounding the icon.

  Returns:
    the padding for the icon. This value is guaranteed to be nonnegative.

### setPadding

    public void setPadding(int padding)

  Sets the padding around the icon.

  Parameters:
    `padding` - the padding to set. If `padding < 0`, then `padding` will be set to `0`.

### getIconPosition

    public int getIconPosition()

  Returns the position to place the icon (relative to the component contents).

  Returns:
    one of the following `SwingConstants`:
    - `LEADING`
    - `TRAILING`
    - `EAST`
    - `WEST`

### setIconPosition

    public void setIconPosition(int iconPosition)

  Sets the position to place the icon (relative to the component contents).

  Parameters:
    `iconPosition` - must be one of the following `SwingConstants`:
    - `LEADING`
    - `TRAILING`
    - `EAST`
    - `WEST`
  Throws:
    `java.lang.IllegalArgumentException` - if `iconPosition` is not a valid position.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.